#if !defined(AFX_FOGCOLORPROPS_H__59EBE359_F0D6_40EA_9EFA_9B088AA74090__INCLUDED_)
#define AFX_FOGCOLORPROPS_H__59EBE359_F0D6_40EA_9EFA_9B088AA74090__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FogColorProps.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFogColorProps dialog
#include <Stuff\Stuff.hpp>
#include "ColorButton.h"

using  namespace Stuff;

class CColorDlgProDlg;
#include"PanelDlg.h"
class ObjectManager;
class UndoCommand;

class CFogColorProps : public CPanelDlg
{
// Construction
public:
	CFogColorProps(ObjectManager *gobj,UndoCommand **cmd,CWnd* pParent = NULL);   // standard constructor
	void UpdateGame();
	CColorDlgProDlg *coldlg;
	ObjectManager *ObjMan;
	UndoCommand **CmdList;

	void EditOn(CColorButton *but);

// Dialog Data
	//{{AFX_DATA(CFogColorProps)
	enum { IDD = IDD_FOGCOLORPROPS };
	CColorButton	m_SmokeFogBut;
	CColorButton	m_UnderWaterBut;
	CColorButton	m_NightGround;
	CColorButton	m_NightFog;
	CColorButton	m_ColBut;

		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFogColorProps)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	RGBAColor OldDayFog,OldNightFog,OldNightGround,OldUnderWater,OldSmoke;
	// Generated message map functions
	//{{AFX_MSG(CFogColorProps)
	afx_msg void OnColbut();
	afx_msg void OnNightfog();
	afx_msg void OnNightground();
	afx_msg void OnSmokefog();
	afx_msg void OnUnderwaterfog();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();

	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FOGCOLORPROPS_H__59EBE359_F0D6_40EA_9EFA_9B088AA74090__INCLUDED_)
